Bug 697495 - Reports->Recent Operations: Clicking on Delete/Force Delete button does not remove the selected operation history
Reports->Recent Operations: Clicking on Delete/Force Delete button does not r...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq4 jon30-bugs
  Show dependency treegraph
 
Reported: 2011-04-18 09:09 EDT by Sunil Kondkar
Modified: 2013-09-01 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-04-18 09:09:03 EDT
Description of problem:

After user selects a operation history on Reports->Recent Opeartions page, clicking Delete button or Force Delete button displays the confirmation message. 

Clicking 'Yes' on the confirmation message does not remove it from the list. User has to click 'Refresh' button and it is removed from the list.


Version-Release number of selected component (if applicable):

Build#1144 (Version: 4.0.0-SNAPSHOT Build Number: 50f58a4)

How reproducible:

Always

Steps to Reproduce:

1. Login to RHQ.

2. Navigate to Reports->Subsystems->Recent Operations.

3. Select a operation history and click on the Delete or Force Delete button.

4. Click 'Yes' button on the confirmation message.

Actual results:

The selected operation history is not removed and there is message in UI and status tray.

Expected results:

The selected operation history should get removed and there should be a message in UI and status tray.

Additional info:
Comment 1 Jay Shaughnessy 2012-06-13 14:24:11 EDT
Please re-test, this seems to work fine for me with master.
Comment 2 Heiko W. Rupp 2013-09-01 06:17:24 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.